=== debian/changelog ===
med-fichier (4.0.0+repack-8) unstable; urgency=medium

  * Team upload.
  * Drop Python 2 support (Closes: #937000).
  * Enable autopkgtest-pkg-python testsuite.

 -- Ondřej Nový <onovy@debian.org>  Mon, 28 Oct 2019 14:11:27 +0100

med-fichier (4.0.0+repack-7) unstable; urgency=medium

  * Re-enable parallel test on 32 bits architectures (#918157 now fixed)
  * New patch reproducible-build.patch to improve reproducibility

 -- Gilles Filippini <pini@debian.org>  Sun, 13 Jan 2019 20:30:36 +0100

med-fichier (4.0.0+repack-6) unstable; urgency=medium

  * Temporarily disable parallel test on 32 bits architectures to
    workaround #918157

 -- Gilles Filippini <pini@debian.org>  Fri, 04 Jan 2019 13:10:20 +0100

med-fichier (4.0.0+repack-5) unstable; urgency=medium

  * Drop debian/source/lintian-overrides; these lintian tags were removed
    in 2012
  * libmedc?11: Breaks / Replaces libmedc?1v5 (= 4.0.0+repack-1)
    (Closes: #917788)

 -- Gilles Filippini <pini@debian.org>  Wed, 02 Jan 2019 19:42:17 +0100

med-fichier (4.0.0+repack-3) unstable; urgency=medium

  * Update debian/copyright and add missing copyrights for debian/*
    files
  * Fix debian/watch: use dversionmangle

 -- Gilles Filippini <pini@debian.org>  Mon, 24 Dec 2018 23:33:36 +0100

med-fichier (4.0.0+repack-3~exp1) experimental; urgency=medium

  * Build python packages

 -- Gilles Filippini <pini@debian.org>  Sun, 23 Dec 2018 23:38:15 +0100

med-fichier (4.0.0+repack-2) unstable; urgency=medium

  * New patch build-doc.patch to fix documentation build

 -- Gilles Filippini <pini@debian.org>  Sun, 23 Dec 2018 22:40:59 +0100

med-fichier (4.0.0+repack-2~exp1) experimental; urgency=medium

  * Rename packages to reflect soname bump (closes: #916881):
    - libmed1v5 -> libmed11
    - libmedc1v5 -> libmedc11

 -- Gilles Filippini <pini@debian.org>  Thu, 20 Dec 2018 23:34:28 +0100

med-fichier (4.0.0+repack-1) unstable; urgency=medium

  * Build depends on hdf5 >= 1.10.2 as requested by upstream
  * Enforce ld --as-needed for autopkgtests (closes: #914080)
  * Fix upstream homepage and download links (closes: #856855)
  * Add myself to uploaders

 -- Gilles Filippini <pini@debian.org>  Wed, 19 Dec 2018 11:54:42 +0100

med-fichier (4.0.0+repack-1~exp2) experimental; urgency=medium

  * New patch fix-objects-mount.patch to fix literal 0 used as med_idt
    (fix failing test20.c on 32 bits architectures)

 -- Gilles Filippini <pini@debian.org>  Sat, 15 Dec 2018 00:50:50 +0100

med-fichier (4.0.0+repack-1~exp1) experimental; urgency=medium

  * New upstream release
  * Drop all patches (fixed upstream)

 -- Gilles Filippini <pini@debian.org>  Fri, 14 Dec 2018 19:28:38 +0100
