=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

# Which MPI implementation?
# set ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

export OMPI_MCA_orte_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
export DEB_CPPFLAGS_MAINT_APPEND := -I/usr/include/$(ARCH_DEFAULT_MPI_IMPL) -DOMPI_SKIP_MPICXX=1 -DMPICH_SKIP_MPICXX=1
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

CONFIGURE_FLAGS = --enable-python --with-swig=yes --with-hdf5=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL) --with-hdf5-bin=/usr/bin

override_dh_auto_clean:
	[ ! -f doc/html.dox/Makefile ] || make -C doc/html.dox maintainer-clean-local
	dh_auto_clean
	rm -fr build.* debian/tmp.*
	[ ! -f doc/dox/examples.dox.orig ] || mv doc/dox/examples.dox.orig doc/dox/examples.dox

override_dh_auto_configure:
	cp doc/dox/examples.dox doc/dox/examples.dox.orig
	PYTHON=/usr/bin/python3 dh_auto_configure -Bbuild.python3 -- $(CONFIGURE_FLAGS)

override_dh_auto_build-arch:
	dh_auto_build -Bbuild.python3

override_dh_auto_build-indep:
	dh_auto_build -Bbuild.python3/doc/html.dox -- html-local

override_dh_auto_install-arch:
	dh_auto_install -Bbuild.python3
	find debian/tmp/usr/lib/python* \( -name \*.py[co] -o -name \*.la \) -delete
	rm -rf debian/tmp/usr/bin/test* \
	       debian/tmp/usr/bin/usescases \
	       debian/tmp/usr/bin/unittests

override_dh_auto_install-indep:
	dh_auto_install -Bbuild.python3/doc/html.dox

override_dh_install:
	dh_install
	rm -f debian/libmedc-dev/usr/include/*import*

override_dh_auto_test-arch:
	MPIEXEC="mpiexec --allow-run-as-root --oversubscribe -np " dh_auto_test -Bbuild.python3/tests/python --max-parallel=1

override_dh_auto_test-indep:
