=== debian/changelog ===
med-fichier (4.1.0+repack-2) unstable; urgency=medium

  * New patch tests-fix-diff-filters.patch to fix FTBFS against s390x

 -- Gilles Filippini <pini@debian.org>  Tue, 25 Aug 2020 17:51:25 +0200

med-fichier (4.1.0+repack-1) unstable; urgency=medium

  * New upstream release
  * Drop patch fix-objects-mount.patch (fixed upstream)
  * Refresh patch reproducible-builds.patch
  * FFLAGS += -fallow-argument-mismatch to workaround FTBFS with GCC-10

 -- Gilles Filippini <pini@debian.org>  Tue, 25 Aug 2020 11:06:27 +0200

med-fichier (4.0.0+repack-9) unstable; urgency=medium

  * Build for every supported Python 3 release (closes: #945342)

 -- Gilles Filippini <pini@debian.org>  Sun, 24 Nov 2019 18:08:58 +0100
